# Uses of Class
org.apache.lucene.facet.sortedset.SortedSetDocValuesReaderState

Packages that use SortedSetDocValuesReaderState
Package
Description
org.apache.lucene.facet
Faceted search.
org.apache.lucene.facet.sortedset
Provides faceting capabilities over facets that were indexed with `SortedSetDocValuesFacetField`.

- ## Uses of SortedSetDocValuesReaderState in org.apache.lucene.facet

  Fields in org.apache.lucene.facet declared as SortedSetDocValuesReaderState
  Modifier and Type
  Field
  Description
  `protected final SortedSetDocValuesReaderState`
  DrillSideways.`state`
  `SortedSetDocValuesReaderState` passed to constructor; can be null.
  Constructors in org.apache.lucene.facet with parameters of type SortedSetDocValuesReaderState
  Modifier
  Constructor
  Description
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, SortedSetDocValuesReaderState state)`
  Create a new `DrillSideways` instance, assuming the categories were indexed with `SortedSetDocValuesFacetField`.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader, SortedSetDocValuesReaderState state)`
  Create a new `DrillSideways` instance, where some dimensions were indexed with `SortedSetDocValuesFacetField` and others were indexed with `FacetField`.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader, SortedSetDocValuesReaderState state, ExecutorService executor)`
  Create a new `DrillSideways` instance, where some dimensions were indexed with `SortedSetDocValuesFacetField` and others were indexed with `FacetField`.

- ## Uses of SortedSetDocValuesReaderState in org.apache.lucene.facet.sortedset

  Subclasses of SortedSetDocValuesReaderState in org.apache.lucene.facet.sortedset
  Modifier and Type
  Class
  Description
  `class`
  `DefaultSortedSetDocValuesReaderState`
  Default implementation of `SortedSetDocValuesFacetCounts`.
  Constructors in org.apache.lucene.facet.sortedset with parameters of type SortedSetDocValuesReaderState
  Modifier
  Constructor
  Description
  ``
  `ConcurrentSortedSetDocValuesFacetCounts(SortedSetDocValuesReaderState state, ExecutorService exec)`
  Returns all facet counts, same result as searching on `MatchAllDocsQuery` but faster.
  ``
  `ConcurrentSortedSetDocValuesFacetCounts(SortedSetDocValuesReaderState state, FacetsCollector hits, ExecutorService exec)`
  Counts all facet dimensions across the provided hits.
  ``
  `SortedSetDocValuesFacetCounts(SortedSetDocValuesReaderState state)`
  Returns all facet counts, same result as searching on `MatchAllDocsQuery` but faster.
  ``
  `SortedSetDocValuesFacetCounts(SortedSetDocValuesReaderState state, FacetsCollector hits)`
  Counts all facet dimensions across the provided hits.